%{?mingw_package_header}

Name:           mingw-SDL2_image
Version:        2.6.3
Release:        %mkrel 1
Summary:        MinGW Windows port of the Image loading library for SDL2

License:        LGPLv2+
Group:          Development/Other
URL:            https://github.com/libsdl-org/SDL_image
Source0:        https://github.com/libsdl-org/SDL_image/releases/download/release-%{version}/SDL2_image-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-SDL2
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg-turbo
BuildRequires:  mingw32-libtiff
BuildRequires:  mingw32-libwebp


BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-SDL2
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-libjpeg-turbo
BuildRequires:  mingw64-libtiff
BuildRequires:  mingw64-libwebp


%description
Simple DirectMedia Layer (SDL2) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL2 surfaces.


# Win32
%package -n mingw32-SDL2_image
Summary:        MinGW Windows port of the Image loading library for SDL2

%description -n mingw32-SDL2_image
Simple DirectMedia Layer (SDL2) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL2 surfaces.


# Win64
%package -n mingw64-SDL2_image
Summary:        MinGW Windows port of the Image loading library for SDL2

%description -n mingw64-SDL2_image
Simple DirectMedia Layer (SDL2) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, PPM, PCX, GIF, JPEG, PNG) as SDL2 surfaces.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n SDL2_image-%{version}


%build
# the --disabled-*-shared lines below stops SDL2_image from loading those
# libraries at link time. Instead they are loaded when needed.
%mingw_configure \
    --disable-jpg-shared \
    --disable-png-shared \
    --disable-tif-shared \
    --disable-webp-shared \
    --disable-static
#    --disable-dependency-tracking \
%mingw_make_build


%install
%mingw_make_install

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-SDL2_image
%license LICENSE.txt
%{mingw32_bindir}/SDL2_image.dll
%{mingw32_libdir}/libSDL2_image.dll.a
%{mingw32_libdir}/cmake/SDL2_image/
%{mingw32_libdir}/pkgconfig/SDL2_image.pc
%{mingw32_includedir}/SDL2

# Win64
%files -n mingw64-SDL2_image
%license LICENSE.txt
%{mingw64_bindir}/SDL2_image.dll
%{mingw64_libdir}/libSDL2_image.dll.a
%{mingw64_libdir}/cmake/SDL2_image/
%{mingw64_libdir}/pkgconfig/SDL2_image.pc
%{mingw64_includedir}/SDL2


%changelog
* Thu Feb 09 2023 daviddavid <daviddavid> 2.6.3-1.mga9
+ Revision: 1939562
- new version: 2.6.3

* Mon Dec 05 2022 tv <tv> 2.6.2-1.mga9
+ Revision: 1918193
- Update to 2.6.2

* Sun Aug 14 2022 tv <tv> 2.6.1-1.mga9
+ Revision: 1877527
- Update to 2.6.1

* Fri Mar 25 2022 umeabot <umeabot> 2.0.5-4.mga9
+ Revision: 1827220
- Mageia 9 Mass Rebuild

* Sat Mar 05 2022 tv <tv> 2.0.5-3.mga9
+ Revision: 1788982
- Use newer macros

* Sat Feb 15 2020 umeabot <umeabot> 2.0.5-2.mga8
+ Revision: 1527474
- Mageia 8 Mass Rebuild

* Tue Jul 16 2019 daviddavid <daviddavid> 2.0.5-1.mga8
+ Revision: 1421825
- new version: 2.0.5

* Sat Nov 03 2018 daviddavid <daviddavid> 2.0.4-1.mga7
+ Revision: 1327917
- new version: 2.0.4

* Thu Sep 20 2018 umeabot <umeabot> 2.0.3-3.mga7
+ Revision: 1279520
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 daviddavid <daviddavid> 2.0.3-2.mga7
+ Revision: 1237423
- rebuild for new mingw-libwebp

* Wed Mar 14 2018 akien <akien> 2.0.3-1.mga7
+ Revision: 1209320
- Version 2.0.3

* Wed Oct 25 2017 akien <akien> 2.0.1-2.mga7
+ Revision: 1173616
- Fixed security vulnerability in XCF image loader (CVE-2017-2887, mga#21881)

* Fri Nov 18 2016 akien <akien> 2.0.1-2.mga6
+ Revision: 1068281
- Use %%mkrel to get the proper .mga6 suffix when building on infra_5

* Fri Nov 18 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 1068260
- Add mandatory RPM group
- import mingw-SDL2_image from Fedora Rawhide, mingw-SDL2_image-2.0.1-1.fc26


* Mon Oct 24 2016 Kalev Lember <klember@redhat.com> - 2.0.1-1
- Update to 2.0.1
- Don't set group tags

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 29 2015 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.0-6
- Rebuild against mingw-libwebp-0.5.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 06 2015 maci <maci@satgnu.net> - 2.0.0-4
- Strip wrong end of line encoding
- Fedora 21 rebuild

* Mon Jul 21 2014 maci <maci@satgnu.net> - 2.0.0-3
- Fix homepage URL

* Tue May 13 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.0-2
- Removed redundant BuildRequires

* Mon May 12 2014 Marcel Wysocki <maci@satgnu.net> - 2.0.0-1
- Initial rpm
